import EventEmitter from 'event-emitter' 
var eventEmitter = EventEmitter({});


var generateId = (function () {
		var cpt = 0;
		var defautPrefix = "item_"; 
		return function (prefix) {
			prefix = (typeof prefix === "string") ? prefix : defautPrefix;
			cpt = cpt + 1;
			return prefix + cpt; 
		}
	}());

export { generateId , eventEmitter }